gnutls_x509_crl_get_signature(3)

NAME
gnutls_x509_crl_get_signature - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_get_signature(gnutls_x509_crl_t crl, char * sig, size_t * sizeof_sig);

ARGUMENTS

gnutls_x509_crl_t crl
    should contain a gnutls_x509_crl_t type

char * sig
    a pointer where the signature part will be copied (may be null).

size_t * sizeof_sig
    initially holds the size of sig

DESCRIPTION
This function will extract the signature field of a CRL.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/